import numpy as np
from astropy import units as u
import matplotlib.pyplot as plt
from astropy.timeseries import TimeSeries
from astropy.timeseries import aggregate_downsample
from astropy.utils.data import get_pkg_data_filename

example_data = get_pkg_data_filename('timeseries/kplr010666592-2009131110544_slc.fits')
kepler = TimeSeries.read(example_data, format='kepler.fits')

import warnings
warnings.filterwarnings('ignore', message='All-NaN slice encountered')